#include <Arduino.h>

//pinout main board
#define COM_RX      0
#define COM_TX      1
#define X_AXIS_M    2 //X-
#define X_AXIS_P    4 //X+
#define Y_AXIS_M    5 //Y-
#define Y_AXIS_P    3 //Y+
#define Z_AXIS_M    13 //Z- (SCK)
#define Z_AXIS_P    A3 //Z+ A3/17
#define LED_STATUS  9
#define LED_POWER   10
#define POT1        A0
#define POT2        A1


void setup() 
{
    pinMode(X_AXIS_M, INPUT);
    pinMode(X_AXIS_P, INPUT);
    pinMode(Y_AXIS_M, INPUT);
    pinMode(Y_AXIS_P, INPUT);
    pinMode(Z_AXIS_M, INPUT);
    pinMode(Z_AXIS_P, INPUT);
    pinMode(LED_POWER, OUTPUT);
    pinMode(LED_STATUS, OUTPUT);
    Serial.begin(19600);
    digitalWrite(LED_POWER, HIGH);
    //pinMode(COM_TX, INPUT); //configures tx as input so the communication bus is open and other nodes can connect
}

void loop() 
{
    digitalWrite(LED_STATUS, HIGH);
    delay(500);
    digitalWrite(LED_STATUS, LOW);
    delay(500);
}